Index: SConstruct
===================================================================
RCS file: /cvsroot/bf-blender/blender/SConstruct,v
retrieving revision 1.82
diff -r1.82 SConstruct
683a684,762
>     
> elif sys.platform=='freebsd4' or sys.platform=='freebsd5':
>     print "Building for FreeBSD"
>     use_international = 'false'
>     use_gameengine = 'false'
>     use_openal = 'false'
>     use_fmod = 'false'
>     use_quicktime = 'false'
>     use_sumo = 'false'
>     use_ode = 'false'
>     use_buildinfo = 'true'
>     build_blender_dynamic = 'true'
>     build_blender_static = 'false'
>     build_blender_player = 'false'
>     build_blender_plugin = 'false'
>     release_flags = ['-O2']
>     debug_flags = ['-O2', '-g']
>     extra_flags = ['-pipe', '-fPIC', '-funsigned-char']
>     cxxflags = []
>     defines = []
>     warn_flags = ['-Wall','-W']
>     window_system = 'X11'
>     platform_libs = ['m', 'stdc++', 'util']
>     platform_libpath = []
>     platform_linkflags = ['-pthread']
>     extra_includes = []
>     z_lib = ['z']
>     z_libpath = ['/usr/lib']
>     z_include = ['/usr/include']
>     # png library information
>     png_lib = ['png']
>     png_libpath = ['/usr/local/lib']
>     png_include = ['/usr/local/include']
>     # jpeg library information
>     jpeg_lib = ['jpeg']
>     jpeg_libpath = ['/usr/local/lib']
>     jpeg_include = ['/usr/local/include']
>     # OpenGL library information
>     opengl_lib = ['GL', 'GLU']
>     opengl_static = ['/usr/lib/libGL.a', '/usr/lib/libGLU.a']
>     opengl_libpath = ['/usr/lib', '/usr/X11R6/lib']
>     opengl_include = ['/usr/X11R6/include/']
>     # SDL library information
>     sdl_env.ParseConfig ('sdl11-config --cflags --libs')
>     sdl_cflags = sdl_env.Dictionary()['CCFLAGS']
>     sdl_include = sdl_env.Dictionary()['CPPPATH']
>     sdl_libpath = ['/usr/local/include/SDL11']
>     sdl_lib = sdl_env.Dictionary()['LIBS']
>     # SOLID library information
>     solid_lib = []                     # TODO
>     solid_libpath = []        # TODO
>     solid_include = ['#extern/solid']
>     qhull_lib = []       # TODO
>     qhull_libpath = []  # TODO
>     qhull_include = ['#extern/qhull/include']
>     # ODE library information
>     ode_lib = ['ode']
>     ode_libpath = ['#../lib/linux-glibc2.2.5-i386/ode/lib']
>     ode_include = ['#../lib/linux-glibc2.2.5-i386/ode/include']
>     # Python library information
>     python_lib = ['python%d.%d' % sys.version_info[0:2]]
>     python_libpath = [sysconfig.get_python_lib (0, 1) + '/config']
>     python_include = [sysconfig.get_python_inc ()]
>     python_linkflags = []
>     # International support information
>     ftgl_lib = ['ftgl']
>     ftgl_libpath = ['#../lib/linux-glibc2.2.5-i386/ftgl/lib']
>     ftgl_include = ['#../lib/linux-glibc2.2.5-i386/ftgl/include']
>     freetype_env.ParseConfig('pkg-config --cflags --libs freetype2')
>     freetype_lib = freetype_env.Dictionary()['LIBS']
>     freetype_libpath = freetype_env.Dictionary()['LIBPATH']
>     freetype_include = freetype_env.Dictionary()['CPPPATH']
>     gettext_lib = []
>     gettext_libpath = []
>     gettext_include = []
>     # OpenAL library information
>     openal_lib = ['openal']
>     openal_libpath = ['/usr/lib']
>     openal_include = ['/usr/include']
1191c1270
< 	elif sys.platform in ['linux2', 'linux-i386']:
---
> 	elif sys.platform in ['linux2', 'linux-i386', 'freebsd4', 'freebsd5']:
1378a1458,1463
> 	elif sys.platform == 'freebsd4':
> 		zipext += ".tar.gz"
> 		pf = "freebsd4"
> 	elif sys.platform == 'freebsd5':
> 		zipext += ".tar.gz"
> 		pf = "freebsd5"
1394c1479
< 	elif sys.platform == 'linux2' or sys.platform == 'linux-i386':
---
> 	else:
1604c1689
< 	elif sys.platform in ['win32', 'linux2', 'linux-i386']:
---
> 	elif sys.platform in ['win32', 'linux2', 'linux-i386', 'freebsd4', 'freebsd5']:
Index: extern/solid/SConscript
===================================================================
RCS file: /cvsroot/bf-blender/blender/extern/solid/SConscript,v
retrieving revision 1.6
diff -r1.6 SConscript
19c19
< elif sys.platform=='linux2' or sys.platform=='linux-i386':
---
> elif sys.platform=='linux2' or sys.platform=='linux-i386' or sys.platform=='freebsd4' or sys.platform=='freebsd5':
